Subject: Re: [Gen-art] review of draft-ietf-curdle-gss-keyex-sha2-08.txt (details)

From: Alissa Cooper <[email-masked]>
Date: Mon, 24 Jun 2019 16:58:49 -0400

Francis, thanks for your review. Ben, thanks for your response. I entered a DISCUSS ballot to ask a clarifying question.

Alissa

> On Jan 9, 2019, at 10:26 AM, Benjamin Kaduk <[email-masked]> wrote:
> 
> On Wed, Jan 09, 2019 at 03:34:55PM +0100, Francis Dupont wrote:
>> I am the assigned Gen-ART reviewer for this draft. The General Area
>> Review Team (Gen-ART) reviews all IETF documents being processed
>> by the IESG for the IETF Chair.  Please treat these comments just
>> like any other last call comments.
>> 
>> For more information, please see the FAQ at
>> 
>> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>> 
>> Document: draft-ietf-curdle-gss-keyex-sha2-08
>> Reviewer: Francis Dupont
>> Review Date: 2019-01-08
>> IETF LC End Date: 2019-01-08
>> IESG Telechat date: Not scheduled for a telechat
>> 
>> Summary: Ready
>> 
>> Major issues: None
>> 
>> Minor issues: None
>> 
>> Nits/editorial comments:
>> - section 2 page 2: please add RFC 8174 with RFC 2119
>>  (note this can (should?) be done by the RFC Editor)
>> 
>> - 7.3 page 10: I have a mixed feeling about the "must". As the problem
>> is real some could want a MUST but the attack is both an example (so
>> the defense too) and against a feature which is not the subjet of
>> the document. I have no good proposal so I leave this to the security
>> directorate.
> 
> This is a critical security consideration relating to the core 4462 key
> exchange mechanism that was omitted from that document's security
> considerations.  It may be most natural to treat this entire section as an
> Update to the security considerations of 4462 (and accordingly mention that
> update in the introduction), since we already have an Updates: relationship
> with 4462.
> 
> -Ben
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>